.county-navigation {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.region-item {
    display: flex;
    flex-direction: column;
    border: 1px solid var(--gray-border-nav);
    border-left: 6px solid var(--green-light);
    border-radius: 8px;
    background: var(--white);
    overflow: hidden;
    transition: all 0.2s;
    margin-bottom: 1rem;
    cursor: pointer;
}

.region-item:hover {
    background: var(--green-map-hover);
    border-left-color: var(--green-accent);
}

.region-item.expanded .jd-child::before {
    display: block;
}

.region-header {
    background: var(--green-light);
    padding: 0.75rem 1rem;
    cursor: pointer;
    border-bottom: 1px solid var(--gray-border-nav);
    font-size: 1em;
    color: var(--green-dark);
}

.jd-children {
    display: none;
    flex-direction: column;
    background: var(--green-pale);
}

.jd-children.visible {
    display: flex;
}

.jd-child {
    display: flex;
    align-items: center;
    padding: 8px 12px;
    border-bottom: 1px solid var(--gray-border-nav);
    font-size: 1em;
    transition: background 0.2s;
    font-family: Arial;
    font-size: .85rem;
    text-decoration: none;
    color: var(--text-dark);
}

.jd-child::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 4px;
    background-color: var(--green-nav-hover);
    color: var(--black);
    display: none;
}

.jd-child:hover,
.jd-child a:hover {
    background: var(--green-nav-hover);
    color: var(--green-dark);
    text-decoration: underline;
}

.jd-child a {
    text-decoration: none;
}

.jd-child:last-child,
jd-child a:last-child {
    border-bottom: none;
}

#map-container {
    width: 100%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    background: white;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.5);
    padding: 1.5rem;
    border-radius: 5px;
}

#state-map {
    width: 100%;
    height: auto;
    max-height: 80vh;
}

#state-map polygon {
    fill: var(--green-offwhite);
    stroke: var(--green-dark);
    stroke-width: 0.5;
    cursor: pointer;
    transition: fill 0.3s ease, filter 0.3s ease;
}

#state-map polygon:hover {
    fill: var(--green-hover);
    filter: drop-shadow(0 0 3px rgba(20, 63, 12, 0.5));
}

.county-label {
    font-family: Arial, sans-serif;
    font-size: 8px;
    fill: var(--black);
    pointer-events: none;
    text-anchor: middle;
}

.county {
    fill: var(--blue-accent);
    cursor: pointer;
    transition: fill 0.3s;
}

.county:hover {
    fill: var(--blue-light);
    filter: drop-shadow(0 0 3px rgba(20, 63, 12, 0.5));
}

.left-column {
    margin-right: 0rem;
    padding-right: 5px;
}

.right-column {
    padding: 0em;
    padding-right: var(--gap);
    padding-bottom: var(--gap);
    padding-top: 0em;
    background-color: var(--background-color);
    box-shadow: none;
}

.about-header {
    background: var(--green-light);
    border: 1px solid var(--gray-border-light);
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    color: var(--green-dark);
}

.about-header h3 {
    padding: .6rem 1em;
}

.about-content {
    font-size: 0.90em;
    padding: 0.5rem 1rem;
    border-left: 1px solid var(--gray-border-light);
    border-right: 1px solid var(--gray-border-light);
    border-bottom: 1px solid var(--gray-border-light);
    background: var(--white);
    border-bottom-right-radius: 8px;
    border-bottom-left-radius: 8px;
}

.about-content p {
    padding-bottom: 0.3em;
    padding-top: 0.3em;
}

.about-content ul {
    padding-left: 2rem;
}

@media (max-width: 968px) {
    .map-card {
        padding: 0;
        border: none;
    }
}

.jd-child {
    padding: 12px 15px;
    font-size: 1rem;
}
